#include "pmu-events/pmu-events.h"
struct pmu_event pme_cf_z196[] = {
{
	.name = "l1d_l2_sourced_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the returned cache line was sourced from the Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2_sourced_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf L1I L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from the Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle a DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle a ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l2c_stores_sent",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L2C Stores Sent",
	.topic = "extended",
	.long_desc = "Incremented by one for every store sent to Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l3_sourced_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf L1D Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the returned cache line was sourced from an Off Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onbook_l4_sourced_writes",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf L1D On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onbook_l4_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l4_sourced_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf L1D Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l4_sourced_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf L1I Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_hpage_writes",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf DTLB1 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_lmem_sourced_writes",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf L1D Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache where the installed cache line was sourced from memory that is attached to the same book as the Data cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_lmem_sourced_writes",
	.event = "event=0x8e",
	.desc = "Unit: cpum_cf L1I Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache where the installed cache line was sourced from memory that is attached to the same book as the Instruction cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l3_sourced_writes",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1I Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from an Off Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Instruction Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the returned cache line was sourced from an On Chip Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offchip_l3_sourced_writes",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from an On Chip Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offchip_l3_sourced_writes",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1I Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the PRNG functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Functions",
	.topic = "crypto",
	.long_desc = "Total number of SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Bloced Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf CPU Cycles",
	.topic = "basic",
	.long_desc = "Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instructions",
	.topic = "basic",
	.long_desc = "Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State CPU Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instructions",
	.topic = "basic",
	.long_desc = "Problem-State Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Problem-State L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z14[] = {
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation has been written into The Translation Lookaside Buffer 2 (TLB2) and the request was made by the data cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the data cache. Incremented by one for every TLB2 miss in progress for the Level-1 Data cache on this cycle",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_hpage_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf DTLB2 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Combined Region and Segment Table Entry array in the Level-2 TLB for a one-megabyte page or a Last Host Translation was done",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB2 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry for a two-gigabyte page was written into the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Translation Lookaside Buffer 2 (TLB2) and the request was made by the instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the instruction cache. Incremented by one for every TLB2 miss in progress for the Level-1 Instruction cache in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "Translation entries were written into the Combined Region and Segment Table Entry array and the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_engines_busy",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 Engines Busy",
	.topic = "extended",
	.long_desc = "The number of Level-2 TLB translation engines busy in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb2_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB2 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a level-1 cache or level-2 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_memory_sourced_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Cluster Level-3 cache withountervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_memory_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes_iv",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_memory_sourced_writes",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes_iv",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_memory_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1D Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes_iv",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l4_sourced_writes",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1D On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l4_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1D Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_ro",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes read-only",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip L3 but a read-only invalidate was done to remove other copies of the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_memory_sourced_writes",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf L1I On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_memory_sourced_writes",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf L1I On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes_iv",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_memory_sourced_writes",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf L1I Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes_iv",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_memory_sourced_writes",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf L1I Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes_iv",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l4_sourced_writes",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf L1I On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l4_sourced_writes",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf L1I Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "bcd_dfp_execution_slots",
	.event = "event=0xe0",
	.desc = "Unit: cpum_cf BCD DFP Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished Binary Coded Decimal to Decimal Floating Point conversions. Instructions: CDZT, CXZT, CZDT, CZXT",
	.pmu = "cpum_cf",
},
{
	.name = "vx_bcd_execution_slots",
	.event = "event=0xe1",
	.desc = "Unit: cpum_cf VX BCD Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished vector arithmetic Binary Coded Decimal instructions. Instructions: VAP, VSP, VMPVMSP, VDP, VSDP, VRP, VLIP, VSRP, VPSOPVCP, VTP, VPKZ, VUPKZ, VCVB, VCVBG, VCVDVCVDG",
	.pmu = "cpum_cf",
},
{
	.name = "decimal_instructions",
	.event = "event=0xe2",
	.desc = "Unit: cpum_cf Decimal Instructions",
	.topic = "extended",
	.long_desc = "Decimal instructions dispatched. Instructions: CVB, CVD, AP, CP, DP, ED, EDMK, MP, SRP, SP, ZAP",
	.pmu = "cpum_cf",
},
{
	.name = "last_host_translations",
	.event = "event=0xe8",
	.desc = "Unit: cpum_cf Last host translation done",
	.topic = "extended",
	.long_desc = "Last Host Translation done",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xf3",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xf4",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xf5",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the PRNG functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Functions",
	.topic = "crypto",
	.long_desc = "Total number of SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Bloced Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf CPU Cycles",
	.topic = "basic",
	.long_desc = "Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instructions",
	.topic = "basic",
	.long_desc = "Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State CPU Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instructions",
	.topic = "basic",
	.long_desc = "Problem-State Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_zec12[] = {
{
	.name = "dtlb1_misses",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle a DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle a ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2i_sourced_writes",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf L1D L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_lmem_sourced_writes",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf L1D Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the installed cache line was sourced from memory that is attached to the same book as the Data cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_lmem_sourced_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf L1I Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache where the installed cache line was sourced from memory that is attached to the same book as the Instruction cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_hpage_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf DTLB1 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Instruction Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x8e",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offchip_l3_sourced_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l3_sourced_writes",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onbook_l4_sourced_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l4_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a nonconstrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from a On Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offchip_l3_sourced_writes_iv",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D Off-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l3_sourced_writes_iv",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Book L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offchip_l3_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1I Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l3_sourced_writes",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1I Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onbook_l4_sourced_writes",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1I On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l4_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1I Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0x9f",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offchip_l3_sourced_writes_iv",
	.event = "event=0xa0",
	.desc = "Unit: cpum_cf L1I Off-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l3_sourced_writes_iv",
	.event = "event=0xa1",
	.desc = "Unit: cpum_cf L1I Off-Book L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xb1",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a nonconstrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xb2",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xb3",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the PRNG functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Functions",
	.topic = "crypto",
	.long_desc = "Total number of SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Bloced Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf CPU Cycles",
	.topic = "basic",
	.long_desc = "Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instructions",
	.topic = "basic",
	.long_desc = "Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State CPU Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instructions",
	.topic = "basic",
	.long_desc = "Problem-State Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Problem-State L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z13[] = {
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle a DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_hpage_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf DTLB1 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB1 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a two-gigabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Instruction Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle an ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Combined Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Combined Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb1_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB1 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a Level-1 cache or Level-1 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_l4_sourced_writes",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D On-Node L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Node Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_l3_sourced_writes_iv",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Node L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Node Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_l3_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D On-Node L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Node Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l4_sourced_writes",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf L1D On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l3_sourced_writes_iv",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D On-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l3_sourced_writes",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D On-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_scol_l4_sourced_writes",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Drawer Same-Column L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_scol_l3_sourced_writes_iv",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1D Off-Drawer Same-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_scol_l3_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1D Off-Drawer Same-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_fcol_l4_sourced_writes",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1D Off-Drawer Far-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_fcol_l3_sourced_writes_iv",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1D Off-Drawer Far-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_fcol_l3_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1D Off-Drawer Far-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_mem_sourced_writes",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf L1D On-Node Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Node memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_mem_sourced_writes",
	.event = "event=0x9f",
	.desc = "Unit: cpum_cf L1D On-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_mem_sourced_writes",
	.event = "event=0xa0",
	.desc = "Unit: cpum_cf L1D Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_mem_sourced_writes",
	.event = "event=0xa1",
	.desc = "Unit: cpum_cf L1D On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_l4_sourced_writes",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf L1I On-Chip L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Node Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_l3_sourced_writes_iv",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf L1I On-Node L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Node Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_l3_sourced_writes",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf L1I On-Node L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Node Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l4_sourced_writes",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf L1I On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l3_sourced_writes_iv",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf L1I On-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l3_sourced_writes",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf L1I On-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_scol_l4_sourced_writes",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf L1I Off-Drawer Same-Column L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_scol_l3_sourced_writes_iv",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf L1I Off-Drawer Same-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_scol_l3_sourced_writes",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf L1I Off-Drawer Same-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_fcol_l4_sourced_writes",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf L1I Off-Drawer Far-Column L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_fcol_l3_sourced_writes_iv",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf L1I Off-Drawer Far-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_fcol_l3_sourced_writes",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf L1I Off-Drawer Far-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_mem_sourced_writes",
	.event = "event=0xb0",
	.desc = "Unit: cpum_cf L1I On-Node Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Node memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_mem_sourced_writes",
	.event = "event=0xb1",
	.desc = "Unit: cpum_cf L1I On-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_mem_sourced_writes",
	.event = "event=0xb2",
	.desc = "Unit: cpum_cf L1I Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_mem_sourced_writes",
	.event = "event=0xb3",
	.desc = "Unit: cpum_cf L1I On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xda",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xdb",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xdc",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the PRNG functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Functions",
	.topic = "crypto",
	.long_desc = "Total number of SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Bloced Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf CPU Cycles",
	.topic = "basic",
	.long_desc = "Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instructions",
	.topic = "basic",
	.long_desc = "Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State CPU Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instructions",
	.topic = "basic",
	.long_desc = "Problem-State Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Problem-State L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z10[] = {
{
	.name = "l1i_l2_sourced_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1I L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the returned cache line was sourced from the Level-2 (L1.5) cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2_sourced_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf L1D L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the installed cache line was sourced from the Level-2 (L1.5) cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l3_local_writes",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf L1I L3 Local Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the installed cache line was sourced from the Level-3 cache that is on the same book as the Instruction cache (Local L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l3_local_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf L1D L3 Local Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the installtion cache line was source from the Level-3 cache that is on the same book as the Data cache (Local L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l3_remote_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf L1I L3 Remote Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache directory where the installed cache line was sourced from a Level-3 cache that is not on the same book as the Instruction cache (Remote L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l3_remote_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L3 Remote Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the installed cache line was sourced from a Level-3 cache that is not on the same book as the Data cache (Remote L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_lmem_sourced_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf L1D Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache directory where the installed cache line was sourced from memory that is attached to the same book as the Data cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_lmem_sourced_writes",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf L1I Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 I-Cache where the installed cache line was sourced from memory that is attached to the s ame book as the Instruction cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 D-Cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_cacheline_invalidates",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf L1I Cacheline Invalidates",
	.topic = "extended",
	.long_desc = "A cache line in the Level-1 I-Cache has been invalidated by a store on the same CPU as the Level-1 I-Cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Level-1 Instruction Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x8e",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle an ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_misses",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle an DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l2c_stores_sent",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L2C Stores Sent",
	.topic = "extended",
	.long_desc = "Incremented by one for every store sent to Level-2 (L1.5) cache",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the PRNG functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Functions",
	.topic = "crypto",
	.long_desc = "Total number of SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Bloced Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf CPU Cycles",
	.topic = "basic",
	.long_desc = "Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instructions",
	.topic = "basic",
	.long_desc = "Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State CPU Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instructions",
	.topic = "basic",
	.long_desc = "Problem-State Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Problem-State L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z15[] = {
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation has been written into The Translation Lookaside Buffer 2 (TLB2) and the request was made by the data cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the data cache. Incremented by one for every TLB2 miss in progress for the Level-1 Data cache on this cycle",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_hpage_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf DTLB2 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Combined Region and Segment Table Entry array in the Level-2 TLB for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB2 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry for a two-gigabyte page was written into the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Translation Lookaside Buffer 2 (TLB2) and the request was made by the instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the instruction cache. Incremented by one for every TLB2 miss in progress for the Level-1 Instruction cache in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "Translation entries were written into the Combined Region and Segment Table Entry array and the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_engines_busy",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 Engines Busy",
	.topic = "extended",
	.long_desc = "The number of Level-2 TLB translation engines busy in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb2_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB2 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a level-1 cache or level-2 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_memory_sourced_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Cluster Level-3 cache withountervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_memory_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes_iv",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_memory_sourced_writes",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes_iv",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_memory_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1D Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes_iv",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l4_sourced_writes",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1D On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l4_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1D Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_ro",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes read-only",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip L3 but a read-only invalidate was done to remove other copies of the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_memory_sourced_writes",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf L1I On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_memory_sourced_writes",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf L1I On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes_iv",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_memory_sourced_writes",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf L1I Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes_iv",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_memory_sourced_writes",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf L1I Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes_iv",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l4_sourced_writes",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf L1I On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l4_sourced_writes",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf L1I Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "bcd_dfp_execution_slots",
	.event = "event=0xe0",
	.desc = "Unit: cpum_cf BCD DFP Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished Binary Coded Decimal to Decimal Floating Point conversions. Instructions: CDZT, CXZT, CZDT, CZXT",
	.pmu = "cpum_cf",
},
{
	.name = "vx_bcd_execution_slots",
	.event = "event=0xe1",
	.desc = "Unit: cpum_cf VX BCD Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished vector arithmetic Binary Coded Decimal instructions. Instructions: VAP, VSP, VMPVMSP, VDP, VSDP, VRP, VLIP, VSRP, VPSOPVCP, VTP, VPKZ, VUPKZ, VCVB, VCVBG, VCVDVCVDG",
	.pmu = "cpum_cf",
},
{
	.name = "decimal_instructions",
	.event = "event=0xe2",
	.desc = "Unit: cpum_cf Decimal Instructions",
	.topic = "extended",
	.long_desc = "Decimal instructions dispatched. Instructions: CVB, CVD, AP, CP, DP, ED, EDMK, MP, SRP, SP, ZAP",
	.pmu = "cpum_cf",
},
{
	.name = "last_host_translations",
	.event = "event=0xe8",
	.desc = "Unit: cpum_cf Last host translation done",
	.topic = "extended",
	.long_desc = "Last Host Translation done",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xf3",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xf4",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xf5",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_access",
	.event = "event=0xf7",
	.desc = "Unit: cpum_cf Cycles CPU spent obtaining access to Deflate unit",
	.topic = "extended",
	.long_desc = "Cycles CPU spent obtaining access to Deflate unit",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_cycles",
	.event = "event=0xfc",
	.desc = "Unit: cpum_cf Cycles CPU is using Deflate unit",
	.topic = "extended",
	.long_desc = "Cycles CPU is using Deflate unit",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_cc",
	.event = "event=0x108",
	.desc = "Unit: cpum_cf Increments by one for every DEFLATE CONVERSION CALL instruction executed",
	.topic = "extended",
	.long_desc = "Increments by one for every DEFLATE CONVERSION CALL instruction executed",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_ccfinish",
	.event = "event=0x109",
	.desc = "Unit: cpum_cf Increments by one for every DEFLATE CONVERSION CALL instruction executed that ended in Condition Codes 0, 1 or 2",
	.topic = "extended",
	.long_desc = "Increments by one for every DEFLATE CONVERSION CALL instruction executed that ended in Condition Codes 0, 1 or 2",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing PRNG functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the PRNG functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the PRNG functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Functions",
	.topic = "crypto",
	.long_desc = "Total number of SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Bloced Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Functions",
	.topic = "crypto",
	.long_desc = "Total number of AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycles",
	.topic = "crypto",
	.long_desc = "Total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "ecc_function_count",
	.event = "event=0x50",
	.desc = "Unit: cpum_cf ECC Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the elliptic-curve cryptography (ECC) functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_cycles_count",
	.event = "event=0x51",
	.desc = "Unit: cpum_cf ECC Cycles Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the ECC coprocessor is busy performing the elliptic-curve cryptography (ECC) functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_blocked_function_count",
	.event = "event=0x52",
	.desc = "Unit: cpum_cf Ecc Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the elliptic-curve cryptography (ECC) functions that are issued by the CPU and are blocked because the ECC coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_blocked_cycles_count",
	.event = "event=0x53",
	.desc = "Unit: cpum_cf ECC Blocked Cycles Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the elliptic-curve cryptography (ECC) functions issued by the CPU because the ECC coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf CPU Cycles",
	.topic = "basic",
	.long_desc = "Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instructions",
	.topic = "basic",
	.long_desc = "Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf L1I Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf L1I Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 I-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf L1D Directory Writes",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Directory Write Count",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf L1D Penalty Cycles",
	.topic = "basic",
	.long_desc = "Level-1 D-Cache Penalty Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State CPU Cycles",
	.topic = "basic",
	.long_desc = "Problem-State Cycle Count",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instructions",
	.topic = "basic",
	.long_desc = "Problem-State Instruction Count",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_test_cpu[] = {
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 BTB Correction",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 BTB Correction",
	.topic = "branch",
},
{
	.name = "l3_cache_rd",
	.event = "event=0x40",
	.desc = "L3 cache access, read",
	.topic = "cache",
	.long_desc = "Attributable Level 3 cache access, read",
},
{
	.name = "segment_reg_loads.any",
	.event = "umask=0x80,period=200000,event=0x6",
	.desc = "Number of segment register loads",
	.topic = "other",
},
{
	.name = "dispatch_blocked.any",
	.event = "umask=0x20,period=200000,event=0x9",
	.desc = "Memory cluster signals to block micro-op dispatch for any reason",
	.topic = "other",
},
{
	.name = "eist_trans",
	.event = "umask=0x0,period=200000,event=0x3a",
	.desc = "Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions",
	.topic = "other",
},
{
	.name = "uncore_hisi_ddrc.flux_wcmd",
	.event = "event=0x2",
	.desc = "DDRC write commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore",
	.long_desc = "DDRC write commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "Unit: uncore_cbox A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.topic = "uncore",
	.long_desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.pmu = "uncore_cbox",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_events_map pmu_events_map[] = {
{
	.cpuid = "^IBM.209[78].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_z10
},
{
	.cpuid = "^IBM.281[78].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_z196
},
{
	.cpuid = "^IBM.282[78].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_zec12
},
{
	.cpuid = "^IBM.296[45].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_z13
},
{
	.cpuid = "^IBM.390[67].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "3",
	.type = "core",
	.table = pme_cf_z14
},
{
	.cpuid = "^IBM.856[12].*3\\.6.[[:xdigit:]]+$",
	.version = "3",
	.type = "core",
	.table = pme_cf_z15
},
{
	.cpuid = "testcpu",
	.version = "v1",
	.type = "core",
	.table = pme_test_cpu,
},
{
	.cpuid = 0,
	.version = 0,
	.type = 0,
	.table = 0,
},
};

struct pmu_sys_events pmu_sys_event_tables[] = {
	{
		.table = 0
	},
};
