/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __TRACE_PRINTK_SKEL_H__
#define __TRACE_PRINTK_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct trace_printk {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc rodata;
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc sys_enter;
	} progs;
	struct {
		int sys_enter_fd;
	} links;
	struct trace_printk__bss {
		int trace_printk_ret;
		int trace_printk_ran;
	} *bss;
	struct trace_printk__rodata {
		char fmt[20];
	} *rodata;
};

static inline int
trace_printk__sys_enter__attach(struct trace_printk *skel)
{
	int prog_fd = skel->progs.sys_enter.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.sys_enter_fd = fd;
	return fd;
}

static inline int
trace_printk__attach(struct trace_printk *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : trace_printk__sys_enter__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
trace_printk__detach(struct trace_printk *skel)
{
	skel_closenz(skel->links.sys_enter_fd);
}
static void
trace_printk__destroy(struct trace_printk *skel)
{
	if (!skel)
		return;
	trace_printk__detach(skel);
	skel_closenz(skel->progs.sys_enter.prog_fd);
	munmap(skel->rodata, 4096);
	skel_closenz(skel->maps.rodata.map_fd);
	munmap(skel->bss, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	free(skel);
}
static inline struct trace_printk *
trace_printk__open(void)
{
	struct trace_printk *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->rodata =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->rodata == (void *) -1)
		goto cleanup;
	memcpy(skel->rodata, (void *)"\
\x54\x65\x73\x74\x69\x6e\x67\x2c\x74\x65\x73\x74\x69\x6e\x67\x20\x25\x64\x0a\0", 20);
	skel->maps.rodata.initial_value = (__u64)(long)skel->rodata;
	skel->bss =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->bss == (void *) -1)
		goto cleanup;
	memcpy(skel->bss, (void *)"\
\0\0\0\0\0\0\0\0", 8);
	skel->maps.bss.initial_value = (__u64)(long)skel->bss;
	return skel;
cleanup:
	trace_printk__destroy(skel);
	return NULL;
}

static inline int
trace_printk__load(struct trace_printk *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 1273;
	opts.data = (void *)"\
\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x01\x2c\0\0\x01\x2c\0\0\x01\x61\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x13\x01\
\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x07\0\0\
\0\x04\0\0\0\x18\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x2c\x0e\0\0\0\0\0\0\x06\0\
\0\0\x01\0\0\0\x35\x0e\0\0\0\0\0\0\x03\0\0\0\x01\0\0\0\x46\x0e\0\0\0\0\0\0\x03\
\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0b\0\0\
\0\x07\0\0\0\x14\0\0\0\x57\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\x01\x31\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\x01\x39\x0f\0\0\x02\0\0\0\x08\0\
\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\x04\0\0\0\x04\0\0\x01\x3e\x0f\0\0\
\x01\0\0\0\x14\0\0\0\x0d\0\0\0\0\0\0\0\x14\0\x63\x74\x78\0\x69\x6e\x74\0\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\0\
\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x61\x6e\0\x66\x6d\x74\
\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\x38\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x34\
\x38\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\
\x6b\x2e\x63\0\x09\x09\x09\x09\x09\x20\x20\x20\x20\x2b\x2b\x74\x72\x61\x63\x65\
\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x61\x6e\x29\x3b\0\x09\x74\x72\x61\x63\x65\
\x5f\x70\x72\x69\x6e\x74\x6b\x5f\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x74\
\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\x28\x66\x6d\x74\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x66\x6d\x74\x29\x2c\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\
\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa5\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x14\0\0\0\x01\0\0\x04\x80\0\0\0\0\0\
\0\0\0\x74\x72\x61\x63\x65\x5f\x70\x72\x2e\x72\x6f\x64\x61\x74\x61\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x54\x65\x73\x74\x69\x6e\x67\x2c\x74\x65\x73\
\x74\x69\x6e\x67\x20\x25\x64\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\x01\0\
\0\x04\0\0\0\0\0\0\0\0\0\x74\x72\x61\x63\x65\x5f\x70\x72\x2e\x62\x73\x73\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\x18\x16\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x04\x61\x31\0\0\0\0\0\0\x07\x30\0\0\0\0\0\x01\x63\
\x13\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x14\x85\
\0\0\0\0\0\0\x06\x18\x16\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x5b\0\0\0\xd1\
\0\0\x4c\x0a\0\0\0\x05\0\0\0\x5b\0\0\0\xef\0\0\x48\x15\0\0\0\x09\0\0\0\x5b\0\0\
\0\xef\0\0\x48\x13\0\0\0\x0c\0\0\0\x5b\0\0\x01\x26\0\0\x50\x02\0\0\0\x1a\0\0\0\
\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\
\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0";
	opts.insns_sz = 4056;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xfe\x78\xb7\x20\0\
\0\0\0\x01\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\x01\x28\0\0\0\0\
\x61\x1a\xfe\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\
\x7c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x80\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x84\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x88\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x8c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xfe\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xfe\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x98\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\x9c\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xa0\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xa4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xfe\xa8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xfe\xac\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xfe\xb0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xb4\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xb8\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xbc\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xc0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xfe\xc4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xfe\xc8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\
\xcc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd0\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd4\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xd8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xdc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xfe\xe0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xfe\xe4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xe8\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xec\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xf0\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xfe\xf4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xfe\xf8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xfe\xfc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x04\0\0\0\
\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x08\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x0c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x10\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\x14\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\x18\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x1c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x20\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x24\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x28\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x2c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x30\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x34\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x38\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x3c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x40\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x44\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\x48\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\x4c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\x50\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x54\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x58\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x5c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x60\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\x64\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\x68\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x6c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x70\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x74\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\x7c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\x84\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x88\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x8c\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x90\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x94\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\x98\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\x9c\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\xa0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xa4\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xa8\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xac\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xb0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\x61\x1a\xff\xb4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\
\x1a\xff\xb8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xbc\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc0\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc4\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xc8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\
\0\0\0\0\0\xa8\x61\x1a\xff\xcc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\xa8\x61\x1a\xff\xd0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\
\xff\xd4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xd8\0\0\
\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xdc\0\0\0\0\xd5\x10\
\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xe0\0\0\0\0\xd5\x10\0\x01\0\0\0\
\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xe4\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\
\0\0\0\xa8\x61\x1a\xff\xe8\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x61\x1a\xff\xec\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\
\xf0\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xf4\0\0\0\0\
\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xf8\0\0\0\0\xd5\x10\0\
\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\xfc\0\0\0\0\xd5\x10\0\x01\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x02\xbd\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x02\xb9\x63\x10\0\0\0\0\0\0\x79\x06\0\
\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x02\xad\x7b\x10\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa5\x7b\
\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa5\
\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\xc0\
\0\0\0\0\x63\xa7\xfe\x78\0\0\0\0\x61\x0a\xfe\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\xf1\x63\x10\0\0\0\0\0\0\x61\x06\0\x20\0\0\0\0\x15\0\0\x03\0\0\0\
\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x02\xcd\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\
\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc1\xb7\x30\0\0\0\0\0\x40\x85\0\0\0\0\
\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\xaf\0\0\0\0\x63\xa7\xfe\x7c\0\0\0\0\
\x79\x36\0\x18\0\0\0\0\x15\x30\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\x01\xb7\x20\0\0\0\0\0\x14\x85\0\0\0\0\0\0\x94\x61\x0a\xfe\x7c\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\x19\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\x15\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\x21\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x03\x01\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x29\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\x19\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\
\xfe\x93\0\0\0\0\x61\x0a\xfe\x7c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x39\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x16\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\x39\xb7\x30\0\0\0\0\0\x04\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\
\xfe\x88\0\0\0\0\x61\x0a\xfe\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x6d\x63\x10\0\0\0\0\0\0\x61\x06\0\x30\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\x49\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\x3d\xb7\x30\0\0\0\0\0\x40\x85\0\0\0\0\0\0\xa6\xbf\
\x70\0\0\0\0\0\0\xc5\x70\xfe\x78\0\0\0\0\x63\xa7\xfe\x80\0\0\0\0\x79\x36\0\x28\
\0\0\0\0\x15\x30\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\x7d\xb7\x20\
\0\0\0\0\0\x08\x85\0\0\0\0\0\0\x94\x61\x0a\xfe\x80\0\0\0\0\x18\x16\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\x89\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x85\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\x91\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\x7d\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x03\x99\x7b\x10\0\0\
\0\0\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x03\x89\xb7\x30\
\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x5c\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa9\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x75\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x03\xad\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\x6d\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x1d\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb5\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\x25\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x04\xc5\x7b\x10\
\0\0\0\0\0\0\xbf\x0a\0\0\0\0\0\0\x07\0\0\0\xff\xff\xfe\x7c\x18\x16\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\xdd\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\x7d\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\x81\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x85\x7b\x10\0\0\0\0\0\0\x61\x0a\xfe\x78\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x04\xad\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\xe5\xb7\x20\0\0\0\0\0\x14\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xfe\x2b\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x04\x65\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\
\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\x65\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x04\xd5\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\
\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xfe\x19\0\0\0\0\x63\xa7\xff\
\x7c\0\0\0\0\x61\x1a\xfe\x78\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\x7c\0\0\0\0\x63\x60\0\x38\0\0\0\0\x61\x0a\xfe\
\x7c\0\0\0\0\x63\x60\0\x18\0\0\0\0\x61\x0a\xfe\x80\0\0\0\0\x63\x60\0\x28\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->rodata =
		mmap(skel->rodata, 4096, PROT_READ, MAP_SHARED | MAP_FIXED,
			skel->maps.rodata.map_fd, 0);
	skel->bss =
		mmap(skel->bss, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.bss.map_fd, 0);
	return 0;
}

static inline struct trace_printk *
trace_printk__open_and_load(void)
{
	struct trace_printk *skel;

	skel = trace_printk__open();
	if (!skel)
		return NULL;
	if (trace_printk__load(skel)) {
		trace_printk__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __TRACE_PRINTK_SKEL_H__ */
